Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config
Class AbstractBeanSelectionProvider

    java.lang.Object
      org.apache.struts2.config.AbstractBeanSelectionProvider

All Implemented Interfaces:
  BeanSelectionProvider, ConfigurationProvider, ContainerProvider, PackageProvider

Direct Known Subclasses:
  DefaultBeanSelectionProvider

    public abstract class AbstractBeanSelectionProvider

extends Object
implements BeanSelectionProvider

TODO lukaszlenart: write a JavaDoc

Field Summary
`static String` | `DEFAULT_BEAN_NAME`

Constructor Summary
`AbstractBeanSelectionProvider()`

Method Summary
`protected void` | `alias(Class type, String key, ContainerBuilder builder, Properties props)`
`protected void` | `alias(Class type, String key, ContainerBuilder builder, Properties props, Scope scope)`
`protected void` | `convertIfExist(LocatableProperties props, String fromKey, String toKey)`
`void` | `destroy()`
`void` | `init(Configuration configuration)`
`void` | `loadPackages()`
`boolean` | `needsReload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.config.ContainerProvider
`register`

Field Detail

### DEFAULT_BEAN_NAME

    public static final String DEFAULT_BEAN_NAME

See Also:
  Constant Field Values

Constructor Detail

### AbstractBeanSelectionProvider

    public AbstractBeanSelectionProvider()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `ContainerProvider`

### loadPackages

    public void loadPackages()
                      throws ConfigurationException

  Specified by:
    `loadPackages` in interface `PackageProvider`
  Throws:
    `ConfigurationException`

### init

    public void init(Configuration configuration)
              throws ConfigurationException

  Specified by:
    `init` in interface `ContainerProvider`
  Specified by:
    `init` in interface `PackageProvider`
  Throws:
    `ConfigurationException`

### needsReload

    public boolean needsReload()

  Specified by:
    `needsReload` in interface `ContainerProvider`
  Specified by:
    `needsReload` in interface `PackageProvider`

### alias

    protected void alias(Class type,
                         String key,
                         ContainerBuilder builder,
                         Properties props)

### alias

    protected void alias(Class type,
                         String key,
                         ContainerBuilder builder,
                         Properties props,
                         Scope scope)

### convertIfExist

    protected void convertIfExist(LocatableProperties props,
                                  String fromKey,
                                  String toKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.